unit Affichage;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Principal, StdCtrls;

type
  TFHolo = class(TForm)
    Image1: TImage;

    procedure Image1Click(Sender: TObject);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Dclarations prives}
  public
    { Dclarations publiques}
  end;

Var
  FHolo: TFHolo;

implementation
{$R *.DFM}

Var
  DecalX, DecalY: Integer;
  Deplacement: Boolean = False;

procedure TFHolo.Image1Click(Sender: TObject);
begin
  Close;
end;

procedure TFHolo.Image1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
begin
  If Deplacement Then
  Begin
    Top := Top + (Y - DecalY);
    Left := Left + (X - DecalX);
  End;
end;

procedure TFHolo.Image1MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  If Button = mbRight Then
  Begin
    DecalX := X;
    DecalY := Y;
    Deplacement := True
  End
end;

procedure TFHolo.Image1MouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Deplacement := False;
end;

end.
